Bug 213980 - routing over two interfaces
routing over two interfaces
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2006-11-04 03:40 EST by Ahmed Kamal
Modified: 2014-03-16 23:03 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:41:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch to set multiple gateways per activated device network (131 bytes, patch)
2006-11-04 03:40 EST, Ahmed Kamal
no flags Details | Diff

  None (edit)
Description Ahmed Kamal 2006-11-04 03:40:35 EST
Description of problem:
I have two network interfaces in my laptop
eth0 => Wireless DHCP interface
eth1 => Wired Static interface
I have both activatd. Usually at home Wired is disconneted. I find the following
1- Wireless correctly connects and sets its default gateway
2- Wired network (being static) although disconnects, sets up its own default
gw, overriding my wireless's setting! The end result is no Internet access!

I made the attached patch, which essentially uses "ip route append" instead of
"ip route add" to APPEND two default gateways, which is exactly what was needed
and makes perfect sense.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Setup 2 interfaces to start on bootup
2. Watch default route using "route -n"
3. The Second interface's default route overwrites first and becomes default
Actual results:
Default gateway of Second interface overwrites first

Expected results:
Both Gateways should be appended and found in the routing table

Additional info:
Please find a patch that solved this for me, I am not sure if it can cause
issues in other scenarios though!
Comment 1 Ahmed Kamal 2006-11-04 03:40:35 EST
Created attachment 140346 [details]
Patch to set multiple gateways per activated device network
Comment 2 Bill Nottingham 2006-11-06 13:18:09 EST
Out of curiosity, why not use something like NetworkManager?
Comment 3 Ahmed Kamal 2006-11-07 02:42:47 EST
Well, honestly, NetworkManager is not very good. It is slow. And knetworkManager
disconnects and starts connecting again after I login! While without it, I'm
already online once I login.

On a more serious side, NM will not allow the two interfaces to work together,
which is sometimes needed to aggregate the bandwidth
Comment 4 Bill Nottingham 2006-11-07 12:00:36 EST
For bandwidth aggregation, something like bonding would probably be more useful.
Comment 5 Bug Zapper 2008-04-04 00:24:34 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 12:41:47 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.